mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

Use the enumeration with the property to inspect a key type or with the field to specify a key type.

Specifies whether to create an asymmetric signature key or an asymmetric exchange key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.KeyNumber

  This value corresponds to the AT_KEYEXCHANGE value used in the unmanaged Microsoft Cryptographic API (CAPI).

  An exchange key pair used to encrypt session keys so that they can be safely stored and exchanged with other users.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.KeyNumber

  This value corresponds to the AT_SIGNATURE value used in the unmanaged Microsoft Cryptographic API (CAPI).

  A signature key pair used for authenticating digitally signed messages or files.